Bug 1273157 - [RFE] templates should be packaged as %config files in /etc/director/
[RFE] templates should be packaged as %config files in /etc/director/
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
All All
low Severity medium
: ---
: ---
Assigned To: Hugh Brock
Shai Revivo
: FutureFeature, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 15:03 EDT by Dan Yocum
Modified: 2017-01-19 12:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-19 12:49:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2015-10-19 15:03:48 EDT
Description of problem:

There is too much user interaction with heat templates.  Copying from /usr/share/openstack-tripleo-heat-templates/ to ~/stack/templates is not a scalable solution moving forward.  Heat templates should be treated as config files and be placed under /etc/director and tagged as %config files.  

I believe that this should make placing these files under configuration management (like puppet or ansible) easier to maintain as well.
Comment 4 Mike Burns 2016-04-07 16:54:03 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 8 Jaromir Coufal 2017-01-19 12:49:39 EST
We encourage customers to *not* touch our shipped templates and instead override them with their own templates separately.  This means we shouldn't put them in /etc/<anywhere> or have them as %config.

Note You need to log in before you can comment on or make changes to this bug.